Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class AlgorithmIdentifierException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.crypto.core.AlgorithmIdentifierException`

All Implemented Interfaces:
  java.io.Serializable

public class AlgorithmIdentifierException
extends java.lang.Exception

Signals that inappropriate or unsupported parameters were provided to an algorithm. Or an unknown algorithm was requested, for example, by using an unrecognized OID.

See Also:
  Serialized Form

Constructor Summary
`AlgorithmIdentifierException()` Creates a new `AlgorithmIdentifierException` with no detail message.
`AlgorithmIdentifierException(java.lang.String s)` Creates a new `AlgorithmIdentifierException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlgorithmIdentifierException

    public AlgorithmIdentifierException()

  Creates a new `AlgorithmIdentifierException` with no detail message.

### AlgorithmIdentifierException

    public AlgorithmIdentifierException(java.lang.String s)

  Creates a new `AlgorithmIdentifierException` with the specified detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.